<template>
  <div style="display: flex" >
    <el-form :inline="true" :model="formInline" class="demo-form-inline">
      <el-form-item label="类型:" size="small">
        <el-select v-model="formInline.type" placeholder="请输入类型" @change="SelectChange">
          <el-option :label="item.label" :value="item.value" v-for="item in SearchObject.searchData" ></el-option>
        </el-select>
      </el-form-item>
      <el-form-item v-if="typeFlag" size="small">
        <el-select v-model="formInline.check" placeholder="请选择分类">
          <el-option label="1" value="0"></el-option>
          <el-option label="2" value="1"></el-option>
        </el-select>
      </el-form-item>
      <el-form-item size="small" v-if="dateFlag">
        <el-date-picker
          v-model="formInline.Date"
          type="date"
          placeholder="选择日期时间">
        </el-date-picker>
      </el-form-item>
      <el-form-item size="small" >
        <el-input v-model="formInline.text" placeholder="请输入内容" @keyup.enter.native="SaveHandler"></el-input>
      </el-form-item>
    </el-form>
  </div>
</template>

<script>
import {getList} from "@/api/docking/loge";
export default {
  name: "VciDockingSearch",
  props:['SearchObject','page'],
  data() {
    return {
      typeFlag:false,
      dateFlag:false,
      formInline:{
        type:'',
        check:'',
        text:'',
        Date:''
      },
    }
  },
  methods:{
    SelectChange(val){
      if(this.SearchObject.type === 'loge'){
        if(val === 5){
          this.typeFlag=true;
        }else {
          this.typeFlag=false;
        }
        if(val === 6){
          this.dateFlag=true;
        }else {
          this.dateFlag=false;
        }
      }
    },
    SaveHandler(){
      let name = this.SearchObject.searchData[this.formInline.type].prop;
      getList(this.page.currentPage, this.page.pageSize, {[name]: this.formInline.text}).then(res => {
        console.log(res);
      });
    }
  }
}
</script>

<style scoped>

</style>
